[DRE-commits] [redmine] 38/39: purge: helper script for local testing

Antonio Terceiro terceiro at moszumanska.debian.org
Tue Dec 8 12:56:56 UTC 2015


This is an automated email from the git hooks/post-receive script.

terceiro pushed a commit to branch master
in repository redmine.

commit 06b630c56d1b2a9e10007e42860bfbacfc77d379
Author: Antonio Terceiro <terceiro at debian.org>
Date:   Mon Oct 5 18:41:43 2015 -0300

    purge: helper script for local testing
---
 debian/purge | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/debian/purge b/debian/purge
new file mode 100755
index 0000000..1a450d8
--- /dev/null
+++ b/debian/purge
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -ex
+
+for script in /var/lib/dpkg/info/redmine.p*; do
+  ln -sf /bin/true $script
+done
+apt purge -qy redmine\* dbconfig-common
+for conffile in $(find /var/lib/ucf/ | sed -e '/dbconfig-common\|redmine/!d; s/[^:]*:/\//; s/:/\//g'); do
+  ucf --purge $conffile
+done
+
+rm -rf \
+  /var/lib/redmine/ \
+  /var/log/redmine/ \
+  /var/cache/redmine/ \
+  /etc/dbconfig-common \
+  /etc/redmine/
+
+echo purge | sudo debconf-communicate redmine

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/redmine.git



More information about the Pkg-ruby-extras-commits mailing list